

.navbar {


    background-color: #5e1040;
    display: flex;
    align-items: center;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    position: relative;
    padding-right: 30px;
    /* Espacio de 30px a la derecha */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);

}
 .user { color: #333; }
    .bot { color: #8e44ad; }
.titu {
    display: none;
}

.color {

    background-color: #c7bfa1;

}

.conten {
    font-family: Arial, sans-serif;
    font-size: 16px;
    font-style: arial;
    color: aliceblue;
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
}

.conten:hover {
    background-color: #c8c0a2;
    color: #41504d;

}

.conten.active {
    background-color: #c8c0a2;

}

.nav-link img {
    width: 20px;
    /* Tamaño fijo sugerido */
    height: auto;
    /* Debe ser igual al ancho para ser cuadrado */
    object-fit: contain;
    /* Evita que la imagen se estire */
    margin-right: 8px;
    /* Espacio entre imagen y texto */
    display: inline-block;
    vertical-align: middle;
    filter: brightness(0) invert(1);
}

.nav-item:hover>.nav-link {
    background-color: #c8c0a2;
    color: #41504d;
}

.nav-item:hover>.nav-link img {
    filter: none;
}


nav ul li a.active {
    background-color: #c8c0a2;
    color: #41504d;
}

nav ul li ul {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #333;
    min-width: 150px;
}

nav ul li:hover ul {
    display: block;
}

nav ul li ul li a {
    padding: 10px;
}

.navbar-toggler {
    border-color: white;
    /* Borde blanco */

}

.navbar-toggler-icon {
    filter: invert(1);

    /* Invierte el color del ícono */
}

.foot {
    background-color: #1c2835;
    color: white;
}

.no {
    color: inherit;
    text-decoration: none;

}

.msubmenu a {
    background-color: #c7bfa1;
    color: #41504d;
}

.msubmenu a:hover {
    background-color: #41504d;
    color: #eef7f5;
}

.nav-item:hover .msubmenu {
    display: block;
}

.submenu li a {
    display: block;
    padding: 12px 15px;
    text-decoration: none;
    font-size: 16px;
    /*    border-bottom: 4px solid rgba(255,255,255,0.6);  /*line abajo */
    border-bottom: 1px dotted #262522;
}

/* SubmenÃº DIF */
.dif-submenu a {
    background-color: #c7bfa1;
    color: #41504d;

}

.dif-submenu a:hover {
    background-color: #dc7092;
    color: #ebcad4;
}

.boton-flotante {
    position: fixed;
    bottom: 20px;
    /* Distancia del borde inferior */
    right: 200px;
    /* Distancia del borde derecho */
    width: 60px;
    /* Ancho */
    height: 60px;
    /* Alto */
    background-color: transparent;
    cursor: pointer;
    border-radius: 50px;
    /* Hace que sea circular */
    overflow: hidden;
    border: none;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ddd;
    z-index: 1000;
    /* Asegura que esté por encima de todo */

    transition: all 0.3s ease;
    /* Animación suave al pasar el mouse */
}

.boton-flotante img {
    object-fit: contain;
    /* Ajusta la imagen sin deformarla */
    width: 60px;
    /* Ancho */
    height: 60px;
    /* Alto */
}

/* Efecto al pasar el mouse (hover) */
.boton-flotante:hover {

    filter: brightness(0.85);
    /* Oscurece un poco */
    transform: scale(1.5);
    /* Pequeño zoom */
    transition: all 0.2s ease;
}
.img:hover{
     filter: brightness(0.85);
    /* Oscurece un poco */
    transform: scale(1.5);
    /* Pequeño zoom */
    transition: all 0.2s ease;
}